using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.ComponentModel;

namespace Telerik.WinControls.UI
{
    public class RadCarouselItem : RadButtonElement
    {
        //members
        private string description = string.Empty;
        private string title = string.Empty;
        private string treenodeText = string.Empty;

        
 
        public RadCarouselItem() : base()
        {
        }

        public RadCarouselItem( string Desription ) : base()
        {
            this.Description = Description;
        }

        public RadCarouselItem( string Desription, string Title )
            : base()
        {
            this.Description = Description;
            this.Title = Title;
        }

        [DefaultValue("")]
        public string TreeNodeText
        {
            get { return treenodeText; }
            set { treenodeText = value; }
        }

        [DefaultValue( "" )]
        //Get or set text description
        public string Description
        {
            get{ return this.description; }
            set{ this.description = value; }
        }

        [DefaultValue( "" )]
        //Get or set item title
        public string Title
        {
            get{ return this.title; }
            set{ this.title = value; }
        }

    }
}
